Skip to main content
POST
/
card
/
{cardId}
/
comment
Post a comment to a card
curl --request POST \
  --url https://app.getaptly.com/api/card/{cardId}/comment \
  --header 'Content-Type: application/json' \
  --header 'x-token: <x-token>' \
  --data '
{
  "content": "This is a new comment"
}
'
{
  "id": "8AA39yrMPHFzWH2YS",
  "userId": "JShpBxEFgRnZnivTf",
  "content": "Test comment",
  "seenByUsers": [
    "JShpBxEFgRnZnivTf"
  ],
  "userName": "Alan Runyan",
  "createdAt": "2022-06-06T20:57:35.665Z"
}

Headers

x-token
string
required

Your Aptly API Token. Available in the Aptly UI under Card Sources > API.

Path Parameters

cardId
string
required

The unique ID of the card.

Body

application/json
userId
string

The ID of the user posting the comment.

Example:

"JShpBxEFgRmZnivTf"

id
string

The ID for the comment.

Example:

"JShpBxEFgRmZnivTf"

content
string

The comment text.

Example:

"This is a new comment"

Response

Comment posted successfully

id
string
Example:

"8AA39yrMPHFzWH2YS"

userId
string
Example:

"JShpBxEFgRnZnivTf"

content
string
Example:

"Test comment"

seenByUsers
string[]
Example:
["JShpBxEFgRnZnivTf"]
userName
string
Example:

"Alan Runyan"

createdAt
string<date-time>
Example:

"2022-06-06T20:57:35.665Z"